Name:		redhat-flatpak-data
Version:	0.1
Release:	5%{dist}
Summary:	Metadata files for Flatpaks on Red Hat Enterprise Linux

License:	MIT
Source0:	LICENSE
Source1:	rhel.flatpakrepo
Source2:	firefox.preinstall
Source3:	thunderbird.preinstall

BuildArch:	noarch

%description
Metadata files for Flatpaks on Red Hat Enterprise Linux


%package -n redhat-flatpak-repo
Summary: Red Hat Enterprise Linux Flatpak repository file
Requires: flatpak

%description -n redhat-flatpak-repo
Creates a Flatpak repository for Red Hat Enterprise Linux


%package -n redhat-flatpak-preinstall-firefox
Summary: Preinstall the Red Hat Enterprise Linux Firefox Flatpak
Requires: redhat-flatpak-repo
Provides: flatpak-preinstall(app/org.mozilla.firefox//stable)

%description -n redhat-flatpak-preinstall-firefox
Adds a file to /etc/flatpaks/preinstall.d to preinstall the
Red Hat Enterprise Linux Firefox Flatpak


%package -n redhat-flatpak-preinstall-thunderbird
Summary: Preinstall the Red Hat Enterprise Linux Thunderbird Flatpak
Requires: redhat-flatpak-repo
Provides: flatpak-preinstall(app/org.mozilla.Thunderbird//stable)

%description -n redhat-flatpak-preinstall-thunderbird
Adds a file to /etc/flatpaks/preinstall.d to preinstall the
Red Hat Enterprise Linux Thunderbird Flatpak


%prep
%setup -c -T %{name}
cp %{SOURCE0} .

%build

%install
install -m0644 -D -t %{buildroot}%{_sysconfdir}/flatpak/remotes.d %{SOURCE1}
install -m0644 -D -t %{buildroot}%{_sysconfdir}/flatpak/preinstall.d %{SOURCE2}
install -m0644 -D -t %{buildroot}%{_sysconfdir}/flatpak/preinstall.d %{SOURCE3}


%files -n redhat-flatpak-repo
%license LICENSE
%{_sysconfdir}/flatpak/remotes.d/*.flatpakrepo


%files -n redhat-flatpak-preinstall-firefox
%{_sysconfdir}/flatpak/preinstall.d/firefox.preinstall


%files -n redhat-flatpak-preinstall-thunderbird
%{_sysconfdir}/flatpak/preinstall.d/thunderbird.preinstall


%changelog
* Thu Feb 06 2025 Tomas Popela <tpopela@redhat,com> - 0.1-5
- We're renaming org.mozilla.Firefox to org.mozilla.firefox to align with
  upstream and Fedora.

* Mon Jan 20 2025 Tomas Popela <tpopela@redhat,com> - 0.1-4
- Migrate to the new flatpak preinstall config format
- Add collection id to rhel registry config file and reference it from
  preinstall config files
- Use org.mozilla.Firefox (and not firefox) which is in RHEL

* Thu Nov 28 2024 Tomas Popela <tpopela@redhat,com> - 0.1-3
- Initial RHEL packaging based on Fedora package, added also subpackage
  for Thunderbird

* Thu Nov 7 2024 Owen W. Taylor <otaylor@fishsoup.net> - 0.1-2
- Fedora has org.mozilla.firefox, not org.mozilla.Firefox

* Wed Oct 30 2024 Owen W. Taylor <otaylor@fishsoup.net> - 0.1-1
- Initial version
